<!--
/**
 * ----------------------------------------------------------------
 * @Author     : Mathieu Boutin
 *
 * @File       : Test.vue
 * @Created_at : 26/03/2022
 * @Update_at  : 26/03/2022
 * ----------------------------------------------------------------
 */
-->

<style>
    html, body, #app {
        display: flex;

        flex: 1 1 auto;
        flex-direction: column;

        width: 100%;
        height: 100%;

        margin: 0;
        padding: 0;
    }

    .test-container {
        display: flex;

        flex-direction: column;

        flex: 1 1 auto;

        padding: 10px;
    }

    .line {
        display: flex;
    }

    .column {
        margin: 10px;
    }

</style>

<script>
    import TooltipContainer from "../components/Container/TooltipContainer";

    import ComposantTextTest from "../components/Test/ComposantTextTest";

    import TriggerConstant from "../service/Constant/TriggerConstant";

    export default {
        name: "Test",

        components: {
            ComposantTextTest,
            TooltipContainer
        },

        data: () => {
            return {
                hover: {
                    options: {
                        // Vous pouvez enlever cette clé ou mettre à null les valeurs si vous ne voulez pas gérer la width min/max de la tooltip.
                        width: {
                            min: 10,
                            max: 100
                        },

                        trigger: TriggerConstant.HOVER
                    }
                },

                focus: {
                    options: {
                        // Vous pouvez enlever cette clé ou mettre à null les valeurs si vous ne voulez pas gérer la width min/max de la tooltip.
                        width: {
                            min: 10,
                            max: 100
                        },

                        trigger: TriggerConstant.FOCUS
                    }
                },
            }
        },

        computed: {},

        watch: {},

        methods: {
            // --------------------------------
            // Life cycle

            // --------------------------------
            // Socket

            // --------------------------------
            // Prepare

            prepare() {
                // ----------------
                // Vars

                // ----------------
                // Prepare

                // ----------------
                // Process
            }

            // --------------------------------
            // Getters

            // --------------------------------
            // Setters

            // --------------------------------
            // Utils

            // --------------------------------
            // Events
        }
    }
</script>

<template>
    <div class="test-container">

        <div class="line">
            <!-- ELEMENT HTML : Text , TOOLTIP :  Text -->
            <div class="column">
                <TooltipContainer :options="hover.options">
                    <template slot="Element">
                        <div>Tooltip text effet hover de l'élément HTML</div>
                    </template>
                    <template slot="Tooltip">
                        Test Text
                    </template>
                </TooltipContainer>
            </div>

            <!-- ELEMENT HTML : Text , TOOLTIP :  COMPOSANT -->
            <div class="column">
                <TooltipContainer :options="hover.options">
                    <template slot="Element">
                        <div>Tooltip composant hover element HTML</div>
                    </template>
                    <template slot="Tooltip">
                        <ComposantTextTest/>
                    </template>
                </TooltipContainer>
            </div>

            <!-- ELEMENT HTML : COMPOSANT , TOOLTIP :  COMPOSANT -->
            <div class="column">
                <TooltipContainer :options="hover.options">
                    <template slot="Element">
                        <ComposantTextTest/>
                    </template>
                    <template slot="Tooltip">
                        <ComposantTextTest/>
                    </template>
                </TooltipContainer>
            </div>

            <!-- ELEMENT HTML : Text , TOOLTIP : HTML -->
            <div class="column">
                <TooltipContainer :options="hover.options">
                    <template slot="Element">
                        <div>Tooltip lien effet hover element HTML</div>
                    </template>
                    <template slot="Tooltip">
                        "<a href='https://www.google.com' target='_blank'>Google</a>"
                    </template>
                </TooltipContainer>
            </div>
        </div>

        <div class="line">
            <!-- ELEMENT HTML : Input , Effet : Focus -->
            <div class="column">
                <TooltipContainer :options="focus.options">
                    <template slot="Element">
                        <input type="text">
                    </template>
                    <template slot="Tooltip">
                        <ComposantTextTest/>
                    </template>
                </TooltipContainer>
            </div>

            <!-- ELEMENT HTML : Input , Effet : Hover -->
            <div class="column">
                <TooltipContainer :options="hover.options">
                    <template slot="Element">
                        <input type="text">
                    </template>
                    <template slot="Tooltip">
                        <ComposantTextTest/>
                    </template>
                </TooltipContainer>
            </div>
        </div>
    </div>
</template>
